### int PASCAL RARReadHeaderEx(HANDLE hArcData,struct RARHeaderDataEx *HeaderData)

### Description

Read a file header from archive.

### Parameters

hArcData

> This parameter should contain the archive handle obtained from RAROpenArchive or RAROpenArchiveEx function call.

HeaderData

> Points to RARHeaderDataEx structure.

### Return values

> 0 | Success
> ERAR_END_ARCHIVE | End of archive
> ERAR_BAD_DATA | File header broken
> ERAR_MISSING_PASSWORD | Password was not provided for encrypted file header

### See also

> RARHeaderDataEx structure.